Joomla! Lyftenbloggie komponens cross-site scripting sérülékenységei

CH azonosító

CH-4109

Angol cím

Joomla! Lyftenbloggie Component Cross-Site Scripting Vulnerabilities

Felfedezés dátuma

2010.12.16.

Súlyosság

Alacsony

Érintett rendszerek

Joomla
LyftenBloggie component

Érintett verziók

LyftenBloggie 1.x (component for Joomla)

Összefoglaló

A Joomla! Lyftenbloggie komponensének két olyan sérülékenységét jelentették, amelyeket a támadók kihasználva cross-site scripting (CSS/XSS) támadásokat hajthatnak végre.

Leírás

A “tag” és “category” paraméterek által átadott bemeneti adat az index.php-nek (amikor az “option” beállítás “com_lyftenbloggie”-re van állítva) nincs megfelelően ellenőrizve, mielőtt visszaadásra kerülne. Ezt kihasználva, tetszőleges HTML és script kódot lehet futtatni a felhasználó böngészőjének munkamenetében, az érintett oldal vonatkozásában.

A sérülékenységeket az 1.1.0 verzióban jelentették. Más verziók is érintettek lehetnek.

Megoldás

Javítsa a forráskódot a bemenet megfelelő ellenőrzése érdekében